/***************************************************************************
 * tabtracktest.cpp
 *
 * This file is part of KTabEdit, a KDE tabulature editor
 *
 * copyright (C) 2004-2007 the KTabEdit development team <mrgwen@gmail.com>
 ***************************************************************************/

/***************************************************************************
 * This program is free software; you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation; either version 2 of the License, or
 * (at your option) any later version.
 *
 * See the file COPYING for more information.
 ***************************************************************************/

#include "tabtracktest.h"
#include "src/header.h"

#include "src/tablature/tabbeateffects.h"
#include "src/tablature/tabchord.h"
#include "src/tablature/tabduration.h"

#include "src/tablature/tabbend.h"
#include "src/tablature/tabdynamic.h"

#include "src/tablature/tabgracenotetransition.h"
#include "src/tablature/tabgracenote.h"

#include "src/tablature/tabharmonic.h"
#include "src/tablature/tabslide.h"
#include "src/tablature/tabtrill.h"
#include "src/tablature/tabnoteeffect.h"

#include "src/tablature/tabnote.h"

#include "src/tablature/songkey.h"
#include "src/tablature/timesignature.h"

#include "src/tablature/tabmixtablechanges.h"
#include "src/tablature/tabtimes.h"
#include "src/tablature/tabbarproperties.h"

#include "src/tablature/tabbar.h"

#include "src/tablature/trackmidiproperties.h"
#include "src/tablature/trackproperties.h"

#include "src/tablature/tabtrack.h"

#include "src/tablature/tablyrics.h"
#include "src/tablature/tabproperties.h"

#include "src/tablature/tabsong.h"

#include "src/tablature/trackpos.h"

void TabTrackTest::testSetBar()
{
	/*const uint badSetBarResult = 0;
	const uint barResult = 1;
	TabTrack tabTrack;
	TabBar tabBar;
	
	try {
		tabTrack.setBar(10, tabBar);
	} catch(const std::exception& e) {
	}
	QCOMPARE( tabTrack.size(), badSetBarResult );
	
	try {
		tabTrack.setBar(0, tabBar);
	} catch(const std::exception& e) {
	}
	QCOMPARE( tabTrack.size(), badSetBarResult );
	
	tabTrack.addBar(tabBar);
	tabTrack.setBar(0, tabBar);
	QCOMPARE( tabTrack.size(), barResult );*/
}

void TabTrackTest::testAddBar()
{
	/*const uint barSize = 4;
	TabTrack tabTrack;
	TabBar tabBar;
	
	tabTrack.addBar(tabBar);
	tabTrack.addBar(tabBar);
	tabTrack.addBar(tabBar);
	tabTrack.addBar(tabBar);
	
	QCOMPARE( tabTrack.size(), barSize );*/
}

void TabTrackTest::testInsertBar()
{
	/*const uint badSetBarResult = 0;
	const uint barResult = 2;
	TabTrack tabTrack;
	TabBar tabBar;
	
	try {
		tabTrack.insertBar(0, tabBar);
	} catch(const std::exception& e) {
	}
	QCOMPARE( tabTrack.size(), badSetBarResult );
	
	tabTrack.addBar(tabBar);
	tabTrack.insertBar(0, tabBar);
	QCOMPARE( tabTrack.size(), barResult );*/
}

void TabTrackTest::testInsertEmptyBar()
{
	/*const uint badSetBarResult = 0;
	const uint barSize = 2;
	TabTrack tabTrack;
	TabBar tabBar;
	TrackPos trackPos;
	
	try {
		tabTrack.insertEmptyBar(trackPos);
	} catch(const std::exception& e) {
	}
	QCOMPARE( tabTrack.size(), badSetBarResult );
	
	tabTrack.addBar(tabBar);
	tabTrack.insertEmptyBar(trackPos);
	QCOMPARE( tabTrack.size(), barSize );*/
}

void TabTrackTest::testGetBar()
{
	/*TabTrack tabTrack;
	TabBar badTabBar;
	TabBar goodTabBar;
	
	try {
		QCOMPARE( tabTrack.bar(0), badTabBar );
	} catch(const std::exception& e) {
	}
	
	goodTabBar.setTimeSignature(0, 14);
	goodTabBar.setTimeSignature(1, 8);
	
	tabTrack.addBar(goodTabBar);
	QCOMPARE( tabTrack.bar(0), goodTabBar );*/
}

QTEST_MAIN(TabTrackTest)
#include "tabtracktest.moc"
